#pragma once

class CRsAnimAttr
{
public:
	CRsAnimAttr(BSTR bszAttrId)
	{
		m_szAttrId = bszAttrId;
	};

	HRESULT GetOrigValue(IRsNode* pNode, VARIANT* pValue);
	HRESULT SetNewValue(const VARIANT* vVariant);
	

private:
	HRESULT RetrieveValue(VARIANT* vVariant);

	// relative identification of attribute:
	CComBSTR						m_szAttrId;

    /// cached connector of anim attribute:
	CComPtr<IRsConnector>			m_spCon;
};


